#############################################################################
# Makefile for building: myChoices
# Generated by qmake (2.01a) (Qt 4.6.0) on: ven. 3. août 15:30:09 2012
# Project:  src.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_DLL -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_THREAD_SUPPORT -DQT_NEEDS_QMAIN
CFLAGS        = -O2 -Wall $(DEFINES)
CXXFLAGS      = -O2 -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I"c:\Qt\2009.05\qt\include\QtCore" -I"c:\Qt\2009.05\qt\include\QtGui" -I"c:\Qt\2009.05\qt\include\QtSql" -I"c:\Qt\2009.05\qt\include" -I"c:\Qt\2009.05\qt\include\ActiveQt" -I"moc" -I"." -I"c:\Qt\2009.05\qt\mkspecs\win32-g++"
LINK        =        g++
LFLAGS        =        -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -Wl,-s -mthreads -Wl -Wl,-subsystem,windows
LIBS        =        -L"c:\Qt\2009.05\qt\lib" -lmingw32 -lqtmain -lQtSql4 -lQtGui4 -lQtCore4 -LC:\mysql-5.1.41-win32\lib\opt -lmysql 
QMAKE         = c:\Qt\2009.05\qt\bin\qmake.exe
IDC           = c:\Qt\2009.05\qt\bin\idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = o

####### Files

SOURCES       = connexion.cpp \
		copyIO.cpp \
		copyMyChoices.cpp \
		main.cpp moc\moc_connexion.cpp \
		moc\moc_copyIO.cpp \
		moc\moc_copyMyChoices.cpp
OBJECTS       = o/connexion.o \
		o/copyIO.o \
		o/copyMyChoices.o \
		o/main.o \
		o/moc_connexion.o \
		o/moc_copyIO.o \
		o/moc_copyMyChoices.o
DIST          = 
QMAKE_TARGET  = myChoices
DESTDIR        = bin\ #avoid trailing-slash linebreak
TARGET         = myChoices.exe
DESTDIR_TARGET = bin\myChoices.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.Release  $(DESTDIR_TARGET)

$(DESTDIR_TARGET): ui_copy.h $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) $(OBJECTS)  $(LIBS)


qmake:  FORCE
	@$(QMAKE) -win32 -o Makefile.Release src.pro

dist:
	$(ZIP) myChoices.zip $(SOURCES) $(DIST) src.pro c:\Qt\2009.05\qt\mkspecs\qconfig.pri c:\Qt\2009.05\qt\mkspecs\features\qt_functions.prf c:\Qt\2009.05\qt\mkspecs\features\qt_config.prf c:\Qt\2009.05\qt\mkspecs\features\exclusive_builds.prf c:\Qt\2009.05\qt\mkspecs\features\default_pre.prf c:\Qt\2009.05\qt\mkspecs\features\win32\default_pre.prf c:\Qt\2009.05\qt\mkspecs\features\release.prf c:\Qt\2009.05\qt\mkspecs\features\debug_and_release.prf c:\Qt\2009.05\qt\mkspecs\features\default_post.prf c:\Qt\2009.05\qt\mkspecs\features\win32\default_post.prf c:\Qt\2009.05\qt\mkspecs\features\build_pass.prf c:\Qt\2009.05\qt\mkspecs\features\win32\rtti.prf c:\Qt\2009.05\qt\mkspecs\features\win32\exceptions.prf c:\Qt\2009.05\qt\mkspecs\features\win32\stl.prf c:\Qt\2009.05\qt\mkspecs\features\shared.prf c:\Qt\2009.05\qt\mkspecs\features\warn_on.prf c:\Qt\2009.05\qt\mkspecs\features\qt.prf c:\Qt\2009.05\qt\mkspecs\features\win32\thread.prf c:\Qt\2009.05\qt\mkspecs\features\moc.prf c:\Qt\2009.05\qt\mkspecs\features\win32\windows.prf c:\Qt\2009.05\qt\mkspecs\features\resources.prf c:\Qt\2009.05\qt\mkspecs\features\uic.prf c:\Qt\2009.05\qt\mkspecs\features\yacc.prf c:\Qt\2009.05\qt\mkspecs\features\lex.prf c:\Qt\2009.05\qt\mkspecs\features\include_source_dir.prf c:\Qt\2009.05\qt\lib\qtmain.prl  HEADERS RESOURCES IMAGES SOURCES OBJECTIVE_SOURCES FORMS YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) o\connexion.o o\copyIO.o o\copyMyChoices.o o\main.o o\moc_connexion.o o\moc_copyIO.o o\moc_copyMyChoices.o

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Release

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_connexion.cpp moc/moc_copyIO.cpp moc/moc_copyMyChoices.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc\moc_connexion.cpp moc\moc_copyIO.cpp moc\moc_copyMyChoices.cpp
moc/moc_connexion.cpp: connexion.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 connexion.h -o moc\moc_connexion.cpp

moc/moc_copyIO.cpp: copyIO.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 copyIO.h -o moc\moc_copyIO.cpp

moc/moc_copyMyChoices.cpp: copyIO.h \
		ui_copy.h \
		copyMyChoices.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 copyMyChoices.h -o moc\moc_copyMyChoices.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_copy.h
compiler_uic_clean:
	-$(DEL_FILE) ui_copy.h
ui_copy.h: copy.ui
	c:\Qt\2009.05\qt\bin\uic.exe copy.ui -o ui_copy.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 



####### Compile

o/connexion.o: connexion.cpp connexion.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\connexion.o connexion.cpp

o/copyIO.o: copyIO.cpp copyIO.h \
		connexion.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\copyIO.o copyIO.cpp

o/copyMyChoices.o: copyMyChoices.cpp copyMyChoices.h \
		copyIO.h \
		ui_copy.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\copyMyChoices.o copyMyChoices.cpp

o/main.o: main.cpp connexion.h \
		copyMyChoices.h \
		copyIO.h \
		ui_copy.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\main.o main.cpp

o/moc_connexion.o: moc/moc_connexion.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_connexion.o moc\moc_connexion.cpp

o/moc_copyIO.o: moc/moc_copyIO.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_copyIO.o moc\moc_copyIO.cpp

o/moc_copyMyChoices.o: moc/moc_copyMyChoices.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_copyMyChoices.o moc\moc_copyMyChoices.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

